FROM node:lts-stretch

WORKDIR /usr/bin/xand/bank-mocks

ADD src /usr/bin/xand/bank-mocks/src
ADD node_modules /usr/bin/xand/bank-mocks/node_modules
ADD dist /usr/bin/xand/bank-mocks/dist
ADD *.json /usr/bin/xand/bank-mocks/

# config.yaml is not included by design.
# This will be provided at deployment time in /etc/xand/bank-mocks/config.yaml

EXPOSE 8888

CMD ["yarn", "start"]
